=== modified file 'NEWS'
--- NEWS	2005-10-11 22:57:45 +0000
+++ NEWS	2005-10-13 01:43:44 +0000
@@ -9,7 +9,10 @@
 
     * 'bzr add' no longer takes a --verbose option, and a --quiet option
       has been added that suppresses all output.
-    
+ 
+    * 'bzr check' now accepts -v for verbose reporting, and checks for
+      ghosts in the branch.
+
 
   INTERNALS:
 

=== modified file 'bzrlib/selftest/test_commit_merge.py'
--- bzrlib/selftest/test_commit_merge.py	2005-09-30 14:27:41 +0000
+++ bzrlib/selftest/test_commit_merge.py	2005-10-13 01:43:44 +0000
@@ -94,5 +94,5 @@
         self.assertEquals(inv['ecks-id'].revision, 'x@u-0-1')
         self.assertEquals(inv['why-id'].revision, 'y@u-0-1')
 
-        check(bx)
-        check(by)
+        check(bx, False)
+        check(by, False)

=== modified file 'bzrlib/selftest/versioning.py'
--- bzrlib/selftest/versioning.py	2005-09-29 20:34:25 +0000
+++ bzrlib/selftest/versioning.py	2005-10-13 01:43:44 +0000
@@ -74,7 +74,6 @@
         
         self.check_branch()
 
-
     def test_add_in_unversioned(self):
         """Try to add a file in an unversioned directory.
 
@@ -154,7 +153,6 @@
 
         self.check_branch()
 
-
     def check_branch(self):
         """After all the above changes, run the check and upgrade commands.
 
@@ -164,7 +162,7 @@
         
         debug('check branch...')
         from bzrlib.check import check
-        check(b)
+        check(b, False)
         
 
         

